MASTER incompatible native extension: allpeers

Bug #95091 reported by Alexander Sack on 2007-03-23
38
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Alexander Sack
Gutsy
High
Alexander Sack
Hardy
High
Alexander Sack

Bug Description

Binary package hint: firefox

Take care, like:

 1. contact author about providing a compatible build or
 2. if its free-software provide an ubuntu package

Its free to take, assigning to mozillateam:

If you work on this, its important to take this bug; so we won't double bug the author etc.

Alexander Sack (asac) wrote :

leads to crashes and unaware users will think this is our problem. So importance high. Please mark all allpeers bugs as duplicates of this.

Info still needed: author contact; assignee. If both are here move to Confirmed.

Changed in firefox:
assignee: nobody → mozillateam
importance: Undecided → High
status: Unconfirmed → Needs Info

taking temporarily

Changed in firefox:
assignee: mozillateam → freddymartinez9

Before we can proceed, we need more specific versions of the versions / systems. I'm working on contacting the developers. I feel the current information isn't enough to approach them with.

I don't know exactly how to proceed, because this system is new for me ...

My firefox version is 2.0.0.2, and my beta allpeers version is 0.55.1

My Ubuntu version is 7.04 Feisty Fawn (release on april)

2007/3/25, Freddy Martinez <email address hidden>:
>
> Before we can proceed, we need more specific versions of the versions /
> systems. I'm working on contacting the developers. I feel the current
> information isn't enough to approach them with.
>
> --
> MASTER incompatible native extension: allpeers
> https://launchpad.net/bugs/95091
>

Alexander Sack (asac) wrote :

On Sun, Mar 25, 2007 at 09:21:42AM -0000, GFN wrote:
> I don't know exactly how to proceed, because this system is new for me
> ...
>
> My firefox version is 2.0.0.2, and my beta allpeers version is 0.55.1
>
> My Ubuntu version is 7.04 Feisty Fawn (release on april)
>

ok ... you have to uninstall allpeers in order to get a stable firefox
again:

open terminal:

 Applications->Accessories->Terminal

then start firefox in safe mode:

# firefox -safe-mode

then uninstall allpeers extensions from Tools->Add-ons

Hope it helps.

 - Alexander

Olivier RAULIN (olivier-raulin) wrote :

Yes, i do that, but, in fact, allpeers causes to crash firefox only when
firefox whas not correctly closed, and says the message who propose to
restore session ...
In this case, i launch firefox in safe-mode, i restore my session, ans,
after, i can run firefox again, normally, and it works fine ...
I am using allpeers, i don't want to uninstall it ...
Have you a solution to desactivate the possibility for firefox of restoring
previous session ?
I guess that that is this functionnality which is causing trouble ...
[Sorry for my bad english]

2007/3/25, Alexander Sack <email address hidden>:
>
> On Sun, Mar 25, 2007 at 09:21:42AM -0000, GFN wrote:
> > I don't know exactly how to proceed, because this system is new for me
> > ...
> >
> > My firefox version is 2.0.0.2, and my beta allpeers version is 0.55.1
> >
> > My Ubuntu version is 7.04 Feisty Fawn (release on april)
> >
>
> ok ... you have to uninstall allpeers in order to get a stable firefox
> again:
>
> open terminal:
>
> Applications->Accessories->Terminal
>
> then start firefox in safe mode:
>
> # firefox -safe-mode
>
> then uninstall allpeers extensions from Tools->Add-ons
>
>
> Hope it helps.
>
> - Alexander
>
> --
> MASTER incompatible native extension: allpeers
> https://launchpad.net/bugs/95091
>

Alexander Sack (asac) wrote :

On Sun, Mar 25, 2007 at 05:26:08PM -0000, GFN wrote:
> Yes, i do that, but, in fact, allpeers causes to crash firefox only when
> firefox whas not correctly closed, and says the message who propose to
> restore session ...
> In this case, i launch firefox in safe-mode, i restore my session, ans,
> after, i can run firefox again, normally, and it works fine ...
> I am using allpeers, i don't want to uninstall it ...
> Have you a solution to desactivate the possibility for firefox of restoring
> previous session ?
> I guess that that is this functionnality which is causing trouble ...
> [Sorry for my bad english]

Please get in contact with allpeers support then. We cannot support it
being used.

 - Alexander

GFN, I am also running 0.55.1 here with Firefox 2.0.0.3 with an up to date Feisty system and I am having no problems. Please let me know what exactly you are doing so I can reproduce it.

Olivier RAULIN (olivier-raulin) wrote :

I have firefox launched with multiple windows ...
If my system freeze, or if i do a restartX (ctrl-alt-backspace), at return,
when i launch firefox, i see the message who purpose to me to restore
previous session of firefox, and, 1 second later, he disappear, and firefox
doesn't launch !
Typing firefox in a terminal, it says to me "segmentation error", after
saying "allpeers launched successfully", and firefox doesn't launch anymore
...
I launch firefox in safe mode, i deactive add-ons, à close firefox, and i
restart it normally, with add-ons activated, and all works fine .
I guess that is a conflict between allpeers and the new funtion of firefox,
that restore previous session on crash

2007/3/25, Freddy Martinez <email address hidden>:
>
> GFN, I am also running 0.55.1 here with Firefox 2.0.0.3 with an up to
> date Feisty system and I am having no problems. Please let me know what
> exactly you are doing so I can reproduce it.
>
> --
> MASTER incompatible native extension: allpeers
> https://launchpad.net/bugs/95091
>

GFN wrote:
> I have firefox launched with multiple windows ...
> If my system freeze, or if i do a restartX (ctrl-alt-backspace), at return,
> when i launch firefox, i see the message who purpose to me to restore
> previous session of firefox, and, 1 second later, he disappear, and firefox
> doesn't launch !
> Typing firefox in a terminal, it says to me "segmentation error", after
> saying "allpeers launched successfully", and firefox doesn't launch anymore
> ...
> I launch firefox in safe mode, i deactive add-ons, à close firefox, and i
> restart it normally, with add-ons activated, and all works fine .
> I guess that is a conflict between allpeers and the new funtion of firefox,
> that restore previous session on crash
>
>
> 2007/3/25, Freddy Martinez <email address hidden>:
>
>> GFN, I am also running 0.55.1 here with Firefox 2.0.0.3 with an up to
>> date Feisty system and I am having no problems. Please let me know what
>> exactly you are doing so I can reproduce it.
>>
>> --
>> MASTER incompatible native extension: allpeers
>> https://launchpad.net/bugs/95091
>>
>>
>
>
Hi,

I've made a report for this problem about a month ago.
I've definitely inactivated all-peers plug-in.
Since then, Firefox (2.0.0.3 on Ubuntu Edgy) has crashed sevaral times
although all-peer was not active.
After these crashes, Firefox curiously never asked for session to be
recovered.
It could point out that the problem has to be searched on Firefox side.

Alexander Sack (asac) wrote :

On Sun, Mar 25, 2007 at 08:17:28PM -0000, Colombier Francois wrote:
> Hi,
>
> I've made a report for this problem about a month ago.
> I've definitely inactivated all-peers plug-in.
> Since then, Firefox (2.0.0.3 on Ubuntu Edgy) has crashed sevaral times
> although all-peer was not active.
> After these crashes, Firefox curiously never asked for session to be
> recovered.
> It could point out that the problem has to be searched on Firefox side.
>

These crashes might as well be completely unrelated.

 - Alexander

hbernard (hbernard) wrote :

Just FYI, I confirm the crash.

It was already the case with the firefox in edgy one month ago, and the same happen in current feisty.

This is possibly allpeers related, but IMHO, it's not relevant to throw away a bug on a extension which is able to crash ff. This should never happen.

I'm available for further instruction if you want more backtrace, etc...

Jakub (jakub-allpeers) wrote :

Hello all,
  this is Jakub, speaking for AllPeers team. Recently we've released version 0.56.2, which among others fixes some crash problems. I would like to cooperate with you to work on this problem. Any information you can possibly provide would be useful (allpeers logs - found in mozilla profile directory, etc.).

hbernard (hbernard) wrote :

I had a new try with the version 0.56.2, and it didn't crash any more :)

0.56.2 seems ok with :

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20061201 Firefox/2.0.0.3 (Ubuntu-feisty)

hbernard (hbernard) wrote :

err, it seems that I didn't test enough.

A reboot later, it still crash when Allpeers is enabled.

What Should I provide to help more ?

Alexander Sack (asac) wrote :

allpeers extension is known to be incompatible. To prevent the crashes, uninstall it.

Changed in firefox:
assignee: freddymartinez9 → mozilla-bugs
importance: High → Undecided
status: Needs Info → Confirmed
Alexander Sack (asac) wrote :

Jakub,

if you want to work together with us to improve the user experience of allpeers users in ubuntu, ping me (asac) in #ubuntu-mozillateam irc channel on freenode.

Thanks,

 - Alexander

Alexander Sack (asac) wrote :

i set this to "In Progress" since we started to do discussions with allpeers vendor about how to improve the situation.

Changed in firefox:
status: Confirmed → In Progress
Alexander Sack (asac) on 2007-06-21
Changed in firefox:
status: In Progress → Confirmed
Alexander Sack (asac) wrote :

i am closing this bug for now ...

from what I understand from discussion with allpeers author, they link in everything statically, but libnspr, libnss.

In latest gutsy we install compatibility links for those libs, so allpeers should be able to load that library even though they don't build against gutsy firefox.

If you still see issues, please reopen and ping me on irc.

 - Alexander

Changed in firefox:
status: Confirmed → Fix Released
Janek Thomaschewski (thefoxx) wrote :

"If you still see issues, please reopen and ping me on irc."

Okay, than I will do so...
I have Gutsy with latest updates (Firefox 2.0.0.8) and I can't get allpeers work without similar problems like here discussed. After installation of allpeers all worked perfectly but after the first restart of Firefox it didn't started anymore. I got a segmentation fault in terminal. In Feisty I only got it when I killed firefox but now its every start except starting after running with -safe-mode option.

Janek Thomaschewski (thefoxx) wrote :

I forgot to say: I have allpeers beta 0.70.1

hbernard (hbernard) wrote :

Yes, I can confirm what Janek said above.

Ludek Cigler (ludek) wrote :

Hi all,
I'm Ludek, an AllPeers developer. We have analyzed the bug and it seems the problem is in the way libnss3.so library is loaded. When AllPeers is not installed, Firefox loads libnss3.so from the path /usr/lib/libnss3.so (this is a symlink which points to /usr/lib/libnss3.so.0d). libsoftokn3.so, which is needed by libnss3.so, is also loaded from /usr/lib/libsoftokn3.so.

On the contrary, when AllPeers is installed, libnss3.so and libsoftokn3.so are loaded from /usr/lib/firefox/. There they are symlinks back to /usr/lib/, but these symlinks are only relative, which means that if you run firefox from other directory than /usr/lib/firefox/, you get the crash because the symlinks cannot be resolved to correct paths and the libraries are not initialized.

The reasons for the different Firefox behaviour when AllPeers is installed from when it's not are not entirely clear to us yet, but one quick fix should be making the symlinks mentioned above (/usr/lib/firefox/libnss3.so and /usr/lib/firefox/libsoftokn3.so) absolute in the Ubuntu Firefox package.

If you are interrested, you can follow our bugzilla for more information on the status of this bug: https://bugzilla.allpeers.com/show_bug.cgi?id=2357

Alexander Sack (asac) wrote :

its unfortunate that this hasn't been recognized _before gutsy. Anyway, can you please attach an strace -f firefox and I will see if I can do an SRU for this issue.

Changed in firefox:
assignee: nobody → asac
status: New → In Progress
assignee: mozilla-bugs → asac
milestone: none → hardy-alpha-1
status: Fix Released → In Progress
Alexander Sack (asac) wrote :

setting impact to HIGH as breaking extension incompatibility should be avoided when possible.

Changed in firefox:
importance: Undecided → High
importance: Undecided → High
Janek Thomaschewski (thefoxx) wrote :

@Ludek Cigler: Thank you very much for that info. Renaming the old symlinks in /usr/lib/firefox and recreating them absolute works fine! It would be great if someone could change it in the Ubuntu Firefox Package.

Janek Thomaschewski (thefoxx) wrote :

But attention: SSL/TLS did'nt worked in Thunderbird for me after making the abolute links!

Ludek Cigler (ludek) wrote :

Here is the strace for firefox with AllPeers installed.

Janek: I could not reproduce your problem with Thunderbird, but it seems that it should be enough to change the symlink /usr/lib/firefox/libsoftokn3.so, the other symlink (libnss3.so) does not have to be modified. Please let me know if you still have problems with Thunderbird after that, and also how to reproduce the bug.

Ludek Cigler (ludek) wrote :

The main difference between the situation when AllPeers is installed and when not seems to be in way libfreebl3.so library is loaded, see line 19512 in the attached strace and line 19147 in the previous one.

Janek Thomaschewski (thefoxx) wrote :

@Ludek Cigler: Yes, you are right it works without the second link too - and it fixes the Thunderbird problem. Thanks!

Janek Thomaschewski (thefoxx) wrote :

Sorry. that was wrong: The Thunderbird bug is still there!

Ludek Cigler (ludek) wrote :

Janek: I looked again at the Thunderbird problem, and I still could not reproduce it - however, I'd be quite surprised if the cause of your SSL problems would be changing the symlink. Thunderbird uses its own symlinks in /usr/lib/thunderbird/, and should not be affected by any change in /usr/lib/firefox/ (at least an strace of thunderbird shows that thunderbird does not use any libraries from /usr/lib/firefox/).

Steve Langasek (vorlon) on 2007-12-07
Changed in firefox:
milestone: hardy-alpha-1 → none
Christian Reis (kiko) on 2007-12-17
Changed in allpeers:
importance: Undecided → Unknown
status: New → Unknown
Changed in allpeers:
status: Unknown → Confirmed
Alexander Sack (asac) wrote :

Ludek, isn't AllPeers completely GPL yet? If so, we should definitly consider to provide a package as it would make AllPeers available on all archs we currently provide.

 - Alexander

Ludek Cigler (ludek) wrote :

AllPeers (client, ie. the Firefox extension part) is tri-licensed under GPL/LGPL/MPL. There are some 3rd party libraries statically linked to it which are licensed under their specific open-source licenses (see http://developer.allpeers.com/license), but it should be ok for you to build the AllPeers package.

In fact, we are currently building AllPeers for i386 and amd64 (http://developer.allpeers.com/abs/), but we were not building it for Sparc, so we would definitely appreciate if you could do that.

Alexander Sack (asac) wrote :

On Sat, Dec 29, 2007 at 11:36:33PM -0000, Ludek Cigler wrote:
> AllPeers (client, ie. the Firefox extension part) is tri-licensed under
> GPL/LGPL/MPL. There are some 3rd party libraries statically linked to it
> which are licensed under their specific open-source licenses (see
> http://developer.allpeers.com/license), but it should be ok for you to
> build the AllPeers package.
>
> In fact, we are currently building AllPeers for i386 and amd64
> (http://developer.allpeers.com/abs/), but we were not building it for
> Sparc, so we would definitely appreciate if you could do that.
>

Do you support xulrunner-1.9 already? firefox-3.0 will be the default
in hardy release.

 - Alexander

Ludek Cigler (ludek) wrote :

Not yet, but we are working on it (see https://bugzilla.allpeers.com/show_bug.cgi?id=3362).

Janek Thomaschewski (thefoxx) wrote :
Changed in firefox:
status: In Progress → Invalid
status: In Progress → Invalid
Changed in allpeers:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.